From f6e9bd1986916f14785cbe33b413313f5c0a43f0 Mon Sep 17 00:00:00 2001
From: Pavan Tarun <pavan.tarun@multicorewareinc.com>
Date: Thu, 29 Aug 2024 20:17:26 +0530
Subject: [PATCH] Fix for y4m pipe input broken

---
 source/abrEncApp.cpp | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/source/abrEncApp.cpp b/source/abrEncApp.cpp
index 0ae7e5800..3462aa5c6 100644
--- a/source/abrEncApp.cpp
+++ b/source/abrEncApp.cpp
@@ -676,9 +676,11 @@ ret:
 
                     if (m_cliopt.framesToBeEncoded && inFrameCount >= m_cliopt.framesToBeEncoded)
                         pic_in[view] = NULL;
-                    else if (readPicture(pic_in[view], view) && view == m_param->numViews - 1)
-                        inFrameCount++;
-                    else if (!pic_in[view])
+                    else if (readPicture(pic_in[view], view)){
+                        if(view == m_param->numViews - 1)
+                            inFrameCount++;
+                    }
+                    else
                         pic_in[view] = NULL;
                     if (pic_in[view])
                     {
@@ -763,6 +765,7 @@ ret:
 
                         if (bDolbyVisionRPU)
                         {
+
                             if (m_param->bField && m_param->interlaceMode)
                             {
                                 if (m_cliopt.rpuParser(&picField1) > 0)
-- 
2.46.0

